package org.dromara.system.mapper;

import org.dromara.system.domain.Facilities;
import org.dromara.system.domain.vo.FacilitiesVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.vo.RegionVo;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author Lion Li
 * @date 2024-12-13
 */
public interface FacilitiesMapper extends BaseMapperPlus<Facilities, FacilitiesVo> {

    List<FacilitiesVo> selectByFacilitiesId(List<String> list);

    List<FacilitiesVo> selectByRegionId(List<String> list);

    List<FacilitiesVo> selectByFacilitiesId(String regionType);

    List<FacilitiesVo> selectListByFacilitiesBoByRegionId(List<String> list);

}
